Bug 492203 - Review Request: frinika - Music Workstation
Review Request: frinika - Music Workstation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On: 464781 483376 491421 491578 491579 491581 492191 492197 492201 504521
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 16:53 EDT by Orcan Ogetbil
Modified: 2009-07-23 15:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.5.1-7.551svn.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 14:59:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-03-25 16:53:16 EDT
Spec URL: http://oget.fedorapeople.org/review/frinika.spec
SRPM URL: http://oget.fedorapeople.org/review/frinika-0.5.1-1.503svn.fc10.src.rpm
Description: 
Frinika is a complete music workstation software containing sequencer, midi
support, soft synthesizers, audio recorder, piano roll/tracker/notation editing
and more. The goal of Frinika is to be a complete platform for making music
with your computer, using the versatile Java platform to be able to run on
several operating systems, and being open source to be able to embrace the best
open source technology being available at any time.


rpmlint:
frinika.src:168: W: libdir-macro-in-noarch-package %{_libdir}/gcj/%{name}
is a false positive. The package is not noarch by default.
Comment 1 Orcan Ogetbil 2009-04-27 00:48:13 EDT
New checkout and some cleanups:

Spec URL: http://oget.fedorapeople.org/review/frinika.spec
SRPM URL: http://oget.fedorapeople.org/review/frinika-0.5.1-2.510svn.fc10.src.rpm

Changelog: 0.5.1-2.510svn
- Update to svn revision 510
- Add tritonus_share.jar to the classpath
- Fix default soundfont issue
- Don't build the AOT bits, since the package requires java > 1.5


No rpmlint anymore!
Comment 2 Orcan Ogetbil 2009-06-07 16:27:43 EDT
Spec URL: http://oget.fedorapeople.org/review/frinika.spec
SRPM URL: http://oget.fedorapeople.org/review/frinika-0.5.1-3.521svn.fc11.src.rpm

Changelog: 0.5.1-3.521svn
- Update to svn revision 521
- Remove the bundled copy of SevenZip. Require Fedora's SevenZip instead.
Comment 3 Pavel Alexeev 2009-06-30 10:55:17 EDT
I have been promised many times ago review you Java package. I plan do it now :)
Comment 4 Pavel Alexeev 2009-06-30 12:11:47 EDT
Here is the review:

 +:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
rpmlint silent
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[=] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
# src/SevenZip is LGPLv2+ or CPL
# The rest is GPLv2+
License:          GPLv2+ and (LGPLv2+ or CPL)
but changelog says what SevenZip now not included. So, I think license shoild be GPLv2+ now only.
[-] MUST: The License field in the package spec file must match the actual license.
Package include dreamfabric Dknob component http://www.dreamfabric.com/java/knob/knob.html this is not mention any license in sourse. License text also not included. Did you contact with author and ask license?

Also petersalomonsen component included. License there same GPLv2+, but it is not acceptable bundle any (source or compiled JARs) components in package: https://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software

all such components must be separate packaged and reviewed.

[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[-] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

No.
Package contains script to fetch source from SVN (frinika-snapshot.sh), but it revision number not provided. And you should add comment how you get source. In you case it may be simple note about proper usage of frinika-snapshot.sh. It must be command to copy/paste reproduce.
https://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control

One hint, instead of do "svn checkout" ("svn co") and then delete .svn directory, you may do just "svn export"

Also other sources must have comment where it placed. Please refer to https://fedoraproject.org/wiki/Packaging/SourceURL#Referencing_Source whan link is not accesable.

[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
Build successful - http://koji.fedoraproject.org/koji/taskinfo?taskID=1444150
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
This is noarch package.
[-] MUST: All build dependencies must be listed in BuildRequires
BuildRequires: ant
missing. You provide ant into build-jar-repository, so, its needed.
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.

Package does not have locale files.
[+] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
No shared library files here.
[+] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
I think package is not relocatable.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[=] MUST: Large documentation files should go in a doc subpackage.
There only may be considered move examples into separate subpackage. But its have small size, and I do not require it.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
No header files, this is java package
[+] MUST: Static libraries must be in a -static package.
No static libraries.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
No such files.
[+] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
No libraries.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
Devel package absent.
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
COPYING file included.
[=] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
Built in koji http://koji.fedoraproject.org/koji/taskinfo?taskID=1444150
[=] SHOULD: The reviewer should test that the package functions as described.
Error: Missing Dependency: SevenZip is needed by package frinika-0.5.1-3.521svn.fc11.noarch (/frinika-0.5.1-3.521svn.fc11.noarch)
Error: Missing Dependency: tootaudioservers >= 3 is needed by package frinika-0.5.1-3.521svn.fc11.noarch (/frinika-0.5.1-3.521svn.fc11.noarch)

This dependencies is only in rawhide?

[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: Packages should try to preserve timestamps of original installed files.

Additionals:
Must:
[-] Patches. Each included patch must have link to upstream bagtracker or comment why it can't be done.
https://fedoraproject.org/wiki/Packaging/PatchUpstreamStatus
Should:
[=] I think in command:
ln -s %{_libdir}/flexdock/flexdock-0.5.1.jar lib/flexdock.jar || \ 
Will be cool replace "0.5.1" by something like %{version}


Please correct these issues.
Comment 5 Orcan Ogetbil 2009-06-30 12:51:23 EDT
(In reply to comment #4)
> Here is the review:
> 

Whee! Thanks a lot!

> [=] MUST: The package must be licensed with a Fedora approved license and meet
> the Licensing Guidelines.
> # src/SevenZip is LGPLv2+ or CPL
> # The rest is GPLv2+
> License:          GPLv2+ and (LGPLv2+ or CPL)
> but changelog says what SevenZip now not included. So, I think license shoild
> be GPLv2+ now only.

Ouch, I forgot to update the license tag after I packaged SevenZip separately.

> [-] MUST: The License field in the package spec file must match the actual
> license.
> Package include dreamfabric Dknob component
> http://www.dreamfabric.com/java/knob/knob.html this is not mention any license
> in sourse. License text also not included. Did you contact with author and ask
> license?
> 
> Also petersalomonsen component included. License there same GPLv2+, but it is
> not acceptable bundle any (source or compiled JARs) components in package:
> https://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software
> 
> all such components must be separate packaged and reviewed.
> 

It looks like I missed these ones. I'll do them next.

> [-] MUST: The sources used to build the package must match the upstream 
> source, as provided in the spec URL.
> 
> No.
> Package contains script to fetch source from SVN (frinika-snapshot.sh), but it
> revision number not provided. And you should add comment how you get source. 
> In you case it may be simple note about proper usage of frinika-snapshot.sh. 
> It must be command to copy/paste reproduce.
> https://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control
> 
> One hint, instead of do "svn checkout" ("svn co") and then delete .svn
> directory, you may do just "svn export"
> 

Actually the revision number is provided:
I issue "svnversion" between "svn checkout" and "delete .svn directories" to get the svn revision number. How can I do this with "svn export"?

> Also other sources must have comment where it placed. Please refer to
> https://fedoraproject.org/wiki/Packaging/SourceURL#Referencing_Source whan 
> link is not accesable.
> 

Other sources? I didn't get your point. %{name}.sh, %{name}.desktop, %{name}-snapshot.sh are all written by me.

> [-] MUST: All build dependencies must be listed in BuildRequires
> BuildRequires: ant
> missing. You provide ant into build-jar-repository, so, its needed.

Strange that I missed this.


> [=] SHOULD: The reviewer should test that the package functions as described.
> Error: Missing Dependency: SevenZip is needed by package
> frinika-0.5.1-3.521svn.fc11.noarch (/frinika-0.5.1-3.521svn.fc11.noarch)
> Error: Missing Dependency: tootaudioservers >= 3 is needed by package
> frinika-0.5.1-3.521svn.fc11.noarch (/frinika-0.5.1-3.521svn.fc11.noarch)
> 
> This dependencies is only in rawhide?
> 

They are also submitted to stable. They will arrive there in a few days.

> [-] Patches. Each included patch must have link to upstream bagtracker or
> comment why it can't be done.
> https://fedoraproject.org/wiki/Packaging/PatchUpstreamStatus

The patches are all strictly Fedora specific. I'll add a comment.

> Should:
> [=] I think in command:
> ln -s %{_libdir}/flexdock/flexdock-0.5.1.jar lib/flexdock.jar || \ 
> Will be cool replace "0.5.1" by something like %{version}
> 

That 0.5.1 is flexdock's version, not frinika's.
Comment 6 Pavel Alexeev 2009-06-30 15:30:22 EDT
(In reply to comment #5)
> Actually the revision number is provided:
> I issue "svnversion" between "svn checkout" and "delete .svn directories" to
> get the svn revision number. How can I do this with "svn export"?
No. To check source I run: 
$ sh frinika-snapshot.sh
and got frinika-548.tar.bz2 tarball opposite your frinika-521.tar.bz2.

So, my suggestion here to take in that script at least one argument - revision number, and checkout exactly provided revithion. Then, in spec file comment near this source you write instruction like:
# ./frinika-snapshot.sh 521
or, on you choice:
# ./%{name}-snapshot.sh %{svnver}

Example how I think about it (both revision number as parameter, and "svn export" here) - http://hubbitus.fedorapeople.org/frinika-snapshot.sh

Hope if it help. And off course I do not insist on exactly that implementation.

> > Also other sources must have comment where it placed. Please refer to
> > https://fedoraproject.org/wiki/Packaging/SourceURL#Referencing_Source whan 
> > link is not accesable.
> Other sources? I didn't get your point. %{name}.sh, %{name}.desktop,
> %{name}-snapshot.sh are all written by me.
Excelent! And add this two words into comment.

> > [-] MUST: All build dependencies must be listed in BuildRequires
> > BuildRequires: ant
> > missing. You provide ant into build-jar-repository, so, its needed.
> Strange that I missed this.
See buld log: http://koji.fedoraproject.org/koji/getfile?taskID=1444151&name=build.log
Straight sfter invoke:
$ build-jar-repository -s -p lib toot2 jmod jVorbisEnc jgoodies-looks jakarta-commons-logging skinlf SevenZip
next command from it is:
$ ant jar javadocs

> > This dependencies is only in rawhide?
> They are also submitted to stable. They will arrive there in a few days.
Good. I think I can test it shorly. (I test it on work notebook, and afraid use rawhide here. Sorry.)


> > [-] Patches. Each included patch must have link to upstream bagtracker or
> > comment why it can't be done.
> > https://fedoraproject.org/wiki/Packaging/PatchUpstreamStatus
> The patches are all strictly Fedora specific. I'll add a comment.
Really all Fedora related? I think frinika-sevenzip.patch fix real bug. Why you do not wish fill it upstream?


> > Should:
> > [=] I think in command:
> > ln -s %{_libdir}/flexdock/flexdock-0.5.1.jar lib/flexdock.jar || \ 
> > Will be cool replace "0.5.1" by something like %{version}
> That 0.5.1 is flexdock's version, not frinika's.  
Really. My mistake. But it is also error. You use unversioned
BuildRequires:    flexdock
Requires:         flexdock
but symlink to exact version of jar.

From this I look again on this symlinks. I think instad of doing such symlink you should use build-classpath: http://fedoraproject.org/wiki/Packaging:Java#build-classpath
Comment 7 Orcan Ogetbil 2009-06-30 17:31:06 EDT
(In reply to comment #6)
> (In reply to comment #5)
> 
> Example how I think about it (both revision number as parameter, and "svn
> export" here) - http://hubbitus.fedorapeople.org/frinika-snapshot.sh
> 
> Hope if it help. And off course I do not insist on exactly that 
> implementation.
> 

Okay, I used your script and I also made an option to do
   $ sh frinika-snapshot.sh latest
to get the latest sources (which is nice when doing updates)

> $ ant jar javadocs
> 

I noticed that ant is pulled by other BR's. But I added it anyways.


> > The patches are all strictly Fedora specific. I'll add a comment.
> Really all Fedora related? I think frinika-sevenzip.patch fix real bug. Why 
> you do not wish fill it upstream?
> 

The patch is not needed for the SevenZip that is in the frinika tarball. It is specific for the SevenZip we have in Fedora.

> 
> > > Should:
> > > [=] I think in command:
> > > ln -s %{_libdir}/flexdock/flexdock-0.5.1.jar lib/flexdock.jar || \ 
> > > Will be cool replace "0.5.1" by something like %{version}
> > That 0.5.1 is flexdock's version, not frinika's.  
> Really. My mistake. But it is also error. You use unversioned
> BuildRequires:    flexdock
> Requires:         flexdock
> but symlink to exact version of jar.
> 

This was a flexdock packaging bug (bug #464781 comment #45). The unversioned jar symlink was not available (in all repos) when I first packaged frinika. But I see that it is fixed in all repos now. So I removed my workaround.

> From this I look again on this symlinks. I think instead of doing such symlink
> you should use build-classpath:
> http://fedoraproject.org/wiki/Packaging:Java#build-classpath  

build-classpath only works for jar files that go to %{_javadir}. As indicated in
   http://fedoraproject.org/wiki/Packaging:Java#Guideline
the JNI using jar files go to %{_libdir}/%{name} and build-classpath will not work on them. They need to be added manually.


I updated the package (also fixed the other issues you pointed):
Spec URL: http://oget.fedorapeople.org/review/frinika.spec
SRPM URL: http://oget.fedorapeople.org/review/frinika-0.5.1-4.548svn.fc11.src.rpm

ChangeLog: 0.5.1-4.548svn
- Update to svn revision 548
- License is GPLv2+
- Add BR: ant
- Add more comments on sources & patches
- Make the snapshot script nicer (thanks to Pavel Alexeev)
- Remove flexdock versioned symlink workaround
- Remove some unneeded sources


So, I removed the Dknob sources from src/com/dreamfabric/ . As far as I can tell, they are not used by frinika. I think the only remaining issues are these additional sources. I asked about them (Dknob and others) upstream 
   https://sourceforge.net/forum/forum.php?thread_id=3319021&forum_id=447356
They usually respond fast. Let us wait and see what will come out.
Comment 8 Pavel Alexeev 2009-07-01 05:35:16 EDT
(In reply to comment #7)
> > $ ant jar javadocs
> I noticed that ant is pulled by other BR's. But I added it anyways.
Off course. In opposite it was not be built. But it is may be occasionaly and this BR required by guidelines for ant-based packages.

> The patch is not needed for the SevenZip that is in the frinika tarball. It is
> specific for the SevenZip we have in Fedora.
If bundled SevenZip is not used anymore, you really need this patch?

> > From this I look again on this symlinks. I think instead of doing such symlink
> > you should use build-classpath:
> > http://fedoraproject.org/wiki/Packaging:Java#build-classpath  
> 
> build-classpath only works for jar files that go to %{_javadir}. As indicated
> in
>    http://fedoraproject.org/wiki/Packaging:Java#Guideline
> the JNI using jar files go to %{_libdir}/%{name} and build-classpath will not
> work on them. They need to be added manually.
Cite from above URL:
If the package installs a wrapper script you'll need to manually add %{_libdir}/%{name}/<jar filename> to CLASSPATH. If you are depending on a JNI-using JAR file, you'll need to add it manually -- build-classpath will not find it.
====end cite

As I can understand it, it is about adding paths into CLASSPATH manually, not create symlinks.

I'm not very similar with java (as you already known), sorry if it is not correct.


> I updated the package (also fixed the other issues you pointed):
> Spec URL: http://oget.fedorapeople.org/review/frinika.spec
> SRPM URL:
> http://oget.fedorapeople.org/review/frinika-0.5.1-4.548svn.fc11.src.rpm
> 
> ChangeLog: 0.5.1-4.548svn
> - Update to svn revision 548
> - License is GPLv2+
> - Add BR: ant
> - Add more comments on sources & patches
> - Make the snapshot script nicer (thanks to Pavel Alexeev)
> - Remove flexdock versioned symlink workaround
> - Remove some unneeded sources
> 
> 
> So, I removed the Dknob sources from src/com/dreamfabric/ . As far as I can
> tell, they are not used by frinika. I think the only remaining issues are these
> additional sources. I asked about them (Dknob and others) upstream 
>    https://sourceforge.net/forum/forum.php?thread_id=3319021&forum_id=447356
> They usually respond fast. Let us wait and see what will come out.  
Ok, I'm not hurrying yum.

Meanwhile, on current stage some additional notes:
1) lib directory in tarball contains many binary jars and even library .so. It is needed? I'm still do not do any investigation, but you are assured tha don't used in build? What all built from sources? May be safely remove such binaries in our svn-fetch script?
2) Just for note: In fetch script in "latest" option first fetch last revision number to provide in -r option of svn. It is excessive. There may be HEAD. Or just this key ommited (how you was used it in "svn co" previous). Like:
if [ 'latest' == "$1" ]; then
REV="-rHEAD" # OR just REV=""
else
REV="-r$1"
fi
....
svn export $REV ....
3) I see comment about all other sources. But what about fetch instruction to Source0 (about what script with what parameter must be used)?
4) You remove DKnode, nice. But petersalomonsen component stil here.
5) Just intresting:
# Remove some unneded sources
rm -fr src/uk/ac/bath/gui/vamp/KnobWidget.java
rm -fr src/uk/ac/bath/gui/vamp/VAmp2Editor.java
for what them? Is there any legal issues? It is break build?


Most other seems good. I'll relook on it again after we got answer from Dknob upstream and make decision what do with petersalomonsen.
Comment 9 Orcan Ogetbil 2009-07-01 15:56:55 EDT
(In reply to comment #8)
> (In reply to comment #7)
> 
> > The patch is not needed for the SevenZip that is in the frinika tarball. It 
> > is specific for the SevenZip we have in Fedora.
> If bundled SevenZip is not used anymore, you really need this patch?
> 
The patch is applied to frinika source that make the call to SevenZip library. It doesn't directly patch SevenZip.

The SevenZip is bundled in frinika's source and frinika doesn't need the patch if it uses this bundled source. However we are not using the SevenZip that comes with frinika. Instead, we are using Fedora's SevenZip. In order to use Fedora's SevenZip we need to patch frinika sources. This is what the patch is for.

> 
> As I can understand it, it is about adding paths into CLASSPATH manually, not
> create symlinks.
> 
> I'm not very similar with java (as you already known), sorry if it is not
> correct.
> 

There are two ways of handling this:
With build-classpath or with build-jar-repository
The build system of frinika (the build.xml stuff) looks into the directory lib/ and adds the jar files in this directory to classpath. So I use build-jar-repository for this purpose.

I could also use build-classpath, but this will require a bigger modification of the build system of frinika. We don't really need that.

The difference is explained in
   http://fedoraproject.org/wiki/Packaging:Java#build-classpath

> 
> Meanwhile, on current stage some additional notes:
> 1) lib directory in tarball contains many binary jars and even library .so. It
> is needed? I'm still do not do any investigation, but you are assured tha 
> don't used in build? What all built from sources? May be safely remove such 
> binaries in our svn-fetch script?

In the fetch script, I only remove the parts that are known to be nonfree. The rest of .so, .jar, .exe binaries is removed in %prep to make sure that we are not using them.

> 2) Just for note: In fetch script in "latest" option first fetch last revision
> number to provide in -r option of svn. It is excessive. There may be HEAD. Or
> just this key ommited (how you was used it in "svn co" previous). Like:
> if [ 'latest' == "$1" ]; then
> REV="-rHEAD" # OR just REV=""
> else
> REV="-r$1"
> fi
> ....
> svn export $REV ....

But I can't get the revision number to append to the filename this way. i.e.
$ sh frinka-snapshot.sh latest
---> frinika-550.tar.bz2
Is there another way?

> 3) I see comment about all other sources. But what about fetch instruction to
> Source0 (about what script with what parameter must be used)?

I believe that I have been quite verbose in terms of comments. Also the fetch script gives an output for usage. I don't think we need more. There is no room for confusion.

> 4) You remove DKnode, nice. But petersalomonsen component stil here.

Upstream responded that all these sources
   petersalomonsen
   src/uk/ac/bath/*
are all written by them and they are going to be maintained in frinika. We don't need to package them separately.

> 5) Just intresting:
> # Remove some unneded sources
> rm -fr src/uk/ac/bath/gui/vamp/KnobWidget.java
> rm -fr src/uk/ac/bath/gui/vamp/VAmp2Editor.java
> for what them? Is there any legal issues? It is break build?
> 
> 

It broke the build. However:

After my email, they removed
   DKnode
   src/uk/ac/bath/gui/vamp/
from their sources since they are not using them. So I packaged svn revision 550 with these sources removed.

Ref: https://sourceforge.net/forum/forum.php?thread_id=3319021&forum_id=447356


SPEC: http://oget.fedorapeople.org/review/frinika.spec
SRPM: http://oget.fedorapeople.org/review/frinika-0.5.1-5.550svn.fc11.src.rpm

changelog 0.5.1-5.550svn
- Update to svn revision 550


I think that everything you mentioned is addressed now.
Comment 10 Orcan Ogetbil 2009-07-01 16:07:20 EDT
I need to add that all the dependencies (including SevenZip and toot stuff) are in the stable branches now :)
Comment 11 Pavel Alexeev 2009-07-02 11:35:01 EDT
(In reply to comment #9)
> The SevenZip is bundled in frinika's source and frinika doesn't need the patch
> if it uses this bundled source. However we are not using the SevenZip that
> comes with frinika. Instead, we are using Fedora's SevenZip. In order to use
> Fedora's SevenZip we need to patch frinika sources. This is what the patch is
> for.
Ok, thank you for the explanation. In this case all ok with this patch it is really Fedora-related and if comment present in spec no problem here.

Than, about symlinks and ant build script - let it be, you known more than I in this.

> In the fetch script, I only remove the parts that are known to be nonfree. The
> rest of .so, .jar, .exe binaries is removed in %prep to make sure that we are
> not using them.
Good, I found that in spec.

> But I can't get the revision number to append to the filename this way. i.e.
> $ sh frinka-snapshot.sh latest
> ---> frinika-550.tar.bz2
> Is there another way?
1) You can obtain exported revision number in both cases at end of process (how was you do before)
2) Really you need it? frinika-550.tar.bz2 is free name. It is not contain version number, "svn", "rev" keywords and only you and I now known what 550 represent actually. So, in this case common name like frinika.tar.bz2 or frinika-svn.tar.bz2 is fully enough.

> > 3) I see comment about all other sources. But what about fetch instruction to
> > Source0 (about what script with what parameter must be used)?
> 
> I believe that I have been quite verbose in terms of comments. Also the fetch
> script gives an output for usage. I don't think we need more. There is no room
> for confusion.
Please, add one of the string similar to:
# ./frinika-snapshot.sh 550
or
# ./%{name}-snapshot.sh %{svnver}

> > 4) You remove DKnode, nice. But petersalomonsen component stil here.
> 
> Upstream responded that all these sources
>    petersalomonsen
>    src/uk/ac/bath/*
> are all written by them and they are going to be maintained in frinika. We
> don't need to package them separately.
Good news.

>However:
> 
> After my email, they removed
>    DKnode
>    src/uk/ac/bath/gui/vamp/
> from their sources since they are not using them. So I packaged svn revision
> 550 with these sources removed.
> 
> Ref: https://sourceforge.net/forum/forum.php?thread_id=3319021&forum_id=447356
I'm glad hear that.


By the way, it is not even started:
Splash screen appeared, and then freezes, in console:
$ frinika 
Using language: русский
config: MULTIPLEXED_AUDIO=false
config: MAXIMIZE_WINDOW=false
config: DEFAULT_SOUNDFONT=/usr/share/soundfonts/default.sf2
config: AUDIO_DIRECTORY=/home/pasha/frinika/audio
config: DIRECT_MONITORING=false
config: BIG_ENDIAN=false
config: SOUNDFONT_DIRECTORY=/usr/share/soundfonts
config: SETUP_DONE=true
no saved property for configuration option LAST_PROJECT_FILENAME, using default
config: sampleRate=44100
config: SCRIPTS_DIRECTORY=/home/pasha/frinika/scripts
config: MOUSE_NUMBER_DRAG_INTENSITY=2.0
config: GROOVE_PATTERN_DIRECTORY=/home/pasha/frinika/groovepatterns
config: TICKS_PER_QUARTER=128
config: MIDIIN_DEVICES_LIST=
config: TEXT_LANE_FONT=java.awt.Font[family=Dialog,name=Arial,style=plain,size=8]
config: JACK_AUTO_CONNECT=false
config: AUDIO_BUFFER_LENGTH=512
config: SEQUENCER_PRIORITY=0
Exception in thread "main" java.lang.NoClassDefFoundError: org/mozilla/javascript/Scriptable
        at com.frinika.project.ProjectContainer.defaultInit(ProjectContainer.java:525)
        at com.frinika.project.ProjectContainer.<init>(ProjectContainer.java:241)
        at com.frinika.project.ProjectContainer.<init>(ProjectContainer.java:542)
        at com.frinika.sequencer.gui.menu.CreateProjectAction.actionPerformed(CreateProjectAction.java:50)
        at com.frinika.FrinikaMain.main(FrinikaMain.java:112)
Caused by: java.lang.ClassNotFoundException: org.mozilla.javascript.Scriptable
        at java.net.URLClassLoader$1.run(URLClassLoader.java:200)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:307)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:252)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:320)
        ... 5 more
Comment 12 Orcan Ogetbil 2009-07-02 15:48:40 EDT
(In reply to comment #11)
> (In reply to comment #9)
> 
> > But I can't get the revision number to append to the filename this way. i.e.
> > $ sh frinka-snapshot.sh latest
> > ---> frinika-550.tar.bz2
> > Is there another way?
> 1) You can obtain exported revision number in both cases at end of process (how
> was you do before)
> 2) Really you need it? frinika-550.tar.bz2 is free name. It is not contain
> version number, "svn", "rev" keywords and only you and I now known what 550
> represent actually. So, in this case common name like frinika.tar.bz2 or
> frinika-svn.tar.bz2 is fully enough.
> 

I was using the "svnversion" command after doing "svn co ..." but now I made it parse the "svn export ..." output and get the revision number from there.

I know that the filename is pretty much free, but having some sort of version/revision number in the filename makes things easier to track.

> Please, add one of the string similar to:
> # ./frinika-snapshot.sh 550
> or
> # ./%{name}-snapshot.sh %{svnver}
> 

okay I added this


> 
> By the way, it is not even started:
> Splash screen appeared, and then freezes, in console:
> [cut]

It sounds like you are using gcj as your java. gcj doesn't support everything required by frinika. Run
   # alternatives --config java
and make sure that you have openjdk selected. 

If you are using openjdk and still getting the same error, this means that your rpm database is messed up. You will need the "rhino" package which should be pulled by openjdk itself.



SPEC: http://oget.fedorapeople.org/review/frinika.spec
SRPM: http://oget.fedorapeople.org/review/frinika-0.5.1-6.551svn.fc11.src.rpm

changelog 0.5.1-6.551svn
- Update to svn revision 551
- Optimize the fetch script and comment in the SPEC file about its usage
Comment 13 Pavel Alexeev 2009-07-05 12:22:01 EDT
(In reply to comment #12)
> It sounds like you are using gcj as your java. gcj doesn't support everything
> required by frinika. Run
>    # alternatives --config java
> and make sure that you have openjdk selected. 
NO... yes. But I had not even installed gcj before it is inspired by frinika dependencies!:

sha@x-www frinika]$ sudo yum install frinika-0.5.1-6.551svn.fc11.noarch.rpm
...
Setting up Install Process
Examining frinika-0.5.1-6.551svn.fc11.noarch.rpm: frinika-0.5.1-6.551svn.fc11.noarch
Marking frinika-0.5.1-6.551svn.fc11.noarch.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package frinika.noarch 0:0.5.1-6.551svn.fc11 set to be updated
--> Processing Dependency: toot2 >= 3 for package: frinika-0.5.1-6.551svn.fc11.noarch
--> Processing Dependency: tootaudioservers >= 3 for package: frinika-0.5.1-6.551svn.fc11.noarch
--> Processing Dependency: RasmusDSP for package: frinika-0.5.1-6.551svn.fc11.noarch
--> Processing Dependency: SevenZip for package: frinika-0.5.1-6.551svn.fc11.noarch
--> Processing Dependency: flexdock for package: frinika-0.5.1-6.551svn.fc11.noarch
--> Processing Dependency: jVorbisEnc for package: frinika-0.5.1-6.551svn.fc11.noarch
--> Processing Dependency: jgoodies-looks for package: frinika-0.5.1-6.551svn.fc11.noarch
--> Processing Dependency: jjack for package: frinika-0.5.1-6.551svn.fc11.noarch
--> Processing Dependency: jmod for package: frinika-0.5.1-6.551svn.fc11.noarch
--> Processing Dependency: skinlf for package: frinika-0.5.1-6.551svn.fc11.noarch
--> Processing Dependency: soundfont2-default for package: frinika-0.5.1-6.551svn.fc11.noarch
--> Processing Dependency: tritonus-shared for package: frinika-0.5.1-6.551svn.fc11.noarch
--> Running transaction check
---> Package RasmusDSP.i586 0:0.1-2.20090321cvs.fc11 set to be updated
--> Processing Dependency: libfftw3.so.3 for package: RasmusDSP-0.1-2.20090321cvs.fc11.i586
---> Package SevenZip.i586 0:4.65-1.fc11 set to be updated
---> Package flexdock.i586 0:0.5.1-13.fc11 set to be updated
--> Processing Dependency: ant-commons-logging for package: flexdock-0.5.1-13.fc11.i586
---> Package fluid-soundfont-gm.noarch 0:3.1-3.fc11 set to be updated
---> Package jVorbisEnc.i586 0:0.1-3.fc11 set to be updated
---> Package jgoodies-looks.noarch 0:2.2.1-2.fc11 set to be updated
---> Package jjack.i586 0:0.3-2.fc11 set to be updated
---> Package jmod.i586 0:0.9-1.fc11 set to be updated
---> Package skinlf.noarch 0:6.7-7.fc11 set to be updated
--> Processing Dependency: laf-plugin for package: skinlf-6.7-7.fc11.noarch
---> Package toot2.noarch 0:3-0.4.beta2.fc11 set to be updated
---> Package tootaudioservers.i586 0:3-0.1.beta2.fc11 set to be updated
---> Package tritonus.i586 0:0.3.7-0.3.20090419cvs.fc11 set to be updated
--> Processing Dependency: tritonus-aos = 0.3.7-0.3.20090419cvs.fc11 for package: tritonus-0.3.7-0.3.20090419cvs.fc11.i586
--> Processing Dependency: tritonus-core = 0.3.7-0.3.20090419cvs.fc11 for package: tritonus-0.3.7-0.3.20090419cvs.fc11.i586
--> Processing Dependency: jorbis for package: tritonus-0.3.7-0.3.20090419cvs.fc11.i586
--> Running transaction check
---> Package ant-commons-logging.i586 0:1.7.1-9.2.fc11 set to be updated
--> Processing Dependency: ant = 1.7.1-9.2.fc11 for package: ant-commons-logging-1.7.1-9.2.fc11.i586
--> Processing Dependency: ant-nodeps = 1.7.1-9.2.fc11 for package: ant-commons-logging-1.7.1-9.2.fc11.i586
---> Package fftw.i586 0:3.2.1-2.fc11 set to be updated
---> Package jorbis.i586 0:0.0.17-2.fc11 set to be updated
---> Package laf-plugin.noarch 0:1.0-5.fc11 set to be updated
---> Package tritonus-aos.i586 0:0.3.7-0.3.20090419cvs.fc11 set to be updated
---> Package tritonus-core.i586 0:0.3.7-0.3.20090419cvs.fc11 set to be updated
--> Running transaction check
---> Package ant.i586 0:1.7.1-9.2.fc11 set to be updated
--> Processing Dependency: java-devel >= 1.5.0 for package: ant-1.7.1-9.2.fc11.i586
--> Processing Dependency: xerces-j2 for package: ant-1.7.1-9.2.fc11.i586
---> Package ant-nodeps.i586 0:1.7.1-9.2.fc11 set to be updated
--> Running transaction check
---> Package java-1.5.0-gcj-devel.i586 0:1.5.0.0-28.fc11 set to be updated
--> Processing Dependency: libgcj-src >= 4.1.2-5 for package: java-1.5.0-gcj-devel-1.5.0.0-28.fc11.i586
--> Processing Dependency: gcc-java >= 4.1.2-5 for package: java-1.5.0-gcj-devel-1.5.0.0-28.fc11.i586
--> Processing Dependency: eclipse-ecj >= 3.2.1 for package: java-1.5.0-gcj-devel-1.5.0.0-28.fc11.i586
--> Processing Dependency: /usr/bin/gcj for package: java-1.5.0-gcj-devel-1.5.0.0-28.fc11.i586
--> Processing Dependency: /usr/bin/gcj for package: java-1.5.0-gcj-devel-1.5.0.0-28.fc11.i586
---> Package xerces-j2.i586 0:2.7.1-11.3.fc11 set to be updated
--> Processing Dependency: xml-commons-resolver >= 1.1 for package: xerces-j2-2.7.1-11.3.fc11.i586
--> Running transaction check
---> Package ecj.i586 1:3.4.2-4.fc11 set to be updated
---> Package gcc-java.i586 0:4.4.0-4 set to be updated
remi/filelists_db                                                                                                       |  77 kB     00:00
remi-test/filelists_db                                                                                                  |  25 kB     00:00
--> Processing Dependency: libgcj-devel = 4.4.0-4 for package: gcc-java-4.4.0-4.i586
---> Package libgcj-src.i586 0:4.4.0-4 set to be updated
---> Package xml-commons-resolver.i586 0:1.1-3.15.fc11 set to be updated
--> Running transaction check
---> Package libgcj-devel.i586 0:4.4.0-4 set to be updated
--> Processing Dependency: zlib-devel for package: libgcj-devel-4.4.0-4.i586
--> Processing Dependency: /usr/lib/libz.so for package: libgcj-devel-4.4.0-4.i586
--> Running transaction check
---> Package zlib-devel.i586 0:1.2.3-22.fc11 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================
 Package                         Арх.              Версия                                 Repository                                      Size
===============================================================================================================================================
Installing:
 frinika                         noarch            0.5.1-6.551svn.fc11                    /frinika-0.5.1-6.551svn.fc11.noarch            2.1 M
Installing for dependencies:
 RasmusDSP                       i586              0.1-2.20090321cvs.fc11                 updates                                        1.3 M
 SevenZip                        i586              4.65-1.fc11                            updates                                        116 k
 ant                             i586              1.7.1-9.2.fc11                         fedora                                         2.5 M
 ant-commons-logging             i586              1.7.1-9.2.fc11                         fedora                                          29 k
 ant-nodeps                      i586              1.7.1-9.2.fc11                         fedora                                         773 k
 ecj                             i586              1:3.4.2-4.fc11                         fedora                                         2.8 M
 fftw                            i586              3.2.1-2.fc11                           fedora                                         1.2 M
 flexdock                        i586              0.5.1-13.fc11                          fedora                                         433 k
 fluid-soundfont-gm              noarch            3.1-3.fc11                             fedora                                         126 M
 gcc-java                        i586              4.4.0-4                                fedora                                         3.7 M
 jVorbisEnc                      i586              0.1-3.fc11                             updates                                        3.4 M
 java-1.5.0-gcj-devel            i586              1.5.0.0-28.fc11                        fedora                                          48 k
 jgoodies-looks                  noarch            2.2.1-2.fc11                           fedora                                         622 k
 jjack                           i586              0.3-2.fc11                             updates                                        231 k
 jmod                            i586              0.9-1.fc11                             fedora                                         695 k
 jorbis                          i586              0.0.17-2.fc11                          updates                                        222 k
 laf-plugin                      noarch            1.0-5.fc11                             fedora                                          19 k
 libgcj-devel                    i586              4.4.0-4                                fedora                                         1.6 M
 libgcj-src                      i586              4.4.0-4                                fedora                                          12 M
 skinlf                          noarch            6.7-7.fc11                             fedora                                         327 k
 toot2                           noarch            3-0.4.beta2.fc11                       updates                                        845 k
 tootaudioservers                i586              3-0.1.beta2.fc11                       updates                                         62 k
 tritonus                        i586              0.3.7-0.3.20090419cvs.fc11             updates                                        134 k
 tritonus-aos                    i586              0.3.7-0.3.20090419cvs.fc11             updates                                         18 k
 tritonus-core                   i586              0.3.7-0.3.20090419cvs.fc11             updates                                         98 k
 xerces-j2                       i586              2.7.1-11.3.fc11                        fedora                                         8.2 M
 xml-commons-resolver            i586              1.1-3.15.fc11                          fedora                                         143 k
 zlib-devel                      i586              1.2.3-22.fc11                          fedora                                          44 k

Transaction Summary
===============================================================================================================================================
Install     29 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total size: 169 M
Total download size: 167 M
Comment 14 Pavel Alexeev 2009-07-05 12:34:41 EDT
Previous run was on my work notebook. Today I upgrade my home computer to Fedora 11, but frinika still not work:

$ ll `which java`
lrwxrwxrwx 1 root root 22 Фев 10  2008 /usr/bin/java -> /etc/alternatives/java
[pasha@x-www frinika]$
[pasha@x-www frinika]$ ll /etc/alternatives/java
lrwxrwxrwx 1 root root 39 Июл  5 12:31 /etc/alternatives/java -> /usr/lib/jvm/jre-1.6.0-openjdk/bin/java
[pasha@x-www frinika]$
[pasha@x-www frinika]$ frinika 
Using language: русский
 Creating frinka user settings directory  /home/pasha/frinika
Can't find file /home/pasha/frinika/FrinikaConfig.xml. It will be created when you quit the program or change configuration options.
config: MULTIPLEXED_AUDIO=false
FrinikaConfigure: javasound.output=null
loaded jjack native library /usr/lib/jjack/libjjack.so
natively registering jack client "Frinika"
JACK is not available..
Toot using language: русский
javasound=PulseAudio Mixer
PulseAudio Mixer   null
javax.sound.sampled.LineUnavailableException
        at org.classpath.icedtea.pulseaudio.PulseAudioMixer.openImpl(PulseAudioMixer.java:714)
        at org.classpath.icedtea.pulseaudio.PulseAudioMixer.openLocal(PulseAudioMixer.java:588)
        at org.classpath.icedtea.pulseaudio.PulseAudioMixer.openLocal(PulseAudioMixer.java:584)
        at org.classpath.icedtea.pulseaudio.PulseAudioMixer.open(PulseAudioMixer.java:579)
        at org.classpath.icedtea.pulseaudio.PulseAudioDataLine.open(PulseAudioDataLine.java:95)
        at org.classpath.icedtea.pulseaudio.PulseAudioSourceDataLine.open(PulseAudioSourceDataLine.java:75)
        at uk.org.toot.audio.server.JavaSoundAudioServer$JavaSoundAudioOutput.open(JavaSoundAudioServer.java:353)
        at uk.org.toot.audio.server.JavaSoundAudioServer.openAudioOutput(JavaSoundAudioServer.java:225)
        at uk.org.toot.audio.server.MultiIOJavaSoundAudioServer.openAudioOutput(MultiIOJavaSoundAudioServer.java:57)
        at com.frinika.audio.toot.FrinikaAudioServer.openAudioOutput(FrinikaAudioServer.java:104)
        at com.frinika.project.ProjectContainer.createMixer(ProjectContainer.java:466)
        at com.frinika.project.ProjectContainer.defaultInit(ProjectContainer.java:531)
        at com.frinika.project.ProjectContainer.<init>(ProjectContainer.java:241)
        at com.frinika.project.ProjectContainer.<init>(ProjectContainer.java:542)
        at com.frinika.sequencer.gui.menu.CreateProjectAction.actionPerformed(CreateProjectAction.java:50)
        at com.frinika.FrinikaMain.main(FrinikaMain.java:112)
 
 Sorry but I do not want to go on without an audio output device. 
 Bye bye . . .
Comment 15 Orcan Ogetbil 2009-07-05 12:53:32 EDT
(In reply to comment #13)

That is because some of the dependency libraries of frinika (jVorbisEnc, jorbis, ...) require the minimum java version 1.5 which is lower than frinika's requirement. 

Now you might ask: I already have openjdk installed which provides java 1:1.6 which is higher than 1.5; why is gcj being dragged in?

This is a good question. The answer is: For java libraries that the minimum dependency can be met by gcj, the AOT bits are being built and included in the package. These AOT bits are .so files and naturally they are linked to libgcj. RPM's automatic dependency generator is picking this up as a dependency.

There have been a couple discussions in the fedora-java mailing list to drop the requirement of building the AOT bits but the idea got rejected, mainly because the AOT bits bring a performance improvement, especially in slow computers and in ppc* architectures. I'm sure this topic will be revisited in the future as starting with F-13, ppc* are going to be dropped from primary archs.

(In reply to comment #14) 

Did you configure jack as explained in
   /usr/share/doc/jack-audio-connection-kit-0.116.1/README.Fedora ?

Also, wait a little for frinika to launch. Don't kill it right away. In my system it takes ~15 seconds to launch.
Comment 16 Pavel Alexeev 2009-07-05 13:04:45 EDT
Orcan thank you for the detailed explanation about AOT, it is very intresting.

> (In reply to comment #14) 
> Did you configure jack as explained in
>    /usr/share/doc/jack-audio-connection-kit-0.116.1/README.Fedora ?
No, I'll try do it now. But can we make package work "out of box"??

> Also, wait a little for frinika to launch. Don't kill it right away. In my
> system it takes ~15 seconds to launch.  
I'm generally not kill it, it is failed start (first master appear, and after few steps its end with provided backtrace).
Comment 17 Orcan Ogetbil 2009-07-05 13:27:54 EDT
(In reply to comment #16)
> Orcan thank you for the detailed explanation about AOT, it is very intresting.
> 

You're welcome.

> > (In reply to comment #14) 
> > Did you configure jack as explained in
> >    /usr/share/doc/jack-audio-connection-kit-0.116.1/README.Fedora ?
> No, I'll try do it now. But can we make package work "out of box"??
> 

The jack setup is pretty much a standard procedure for folks using audio production software. ardour, hydrogen, muse, etc. they all need a jack to run properly. 

During this setup, you will need to give certain permissions/priorities to your user. Making these packages work out of the box means giving these permissions/priorities globally to all users. I am not a jack maintainer, but sometime in the past, they decided to not to do so. I assume that they had valid reasons. This topic might be revisited too. But as I said, audio production people are usually familiar with setting up jack. Also, after setting up jack, one has to know how to use it. There are GUI applications such as qjackctl which help with using jack. (I realized that this started going a bit out of topic now. :))


> > Also, wait a little for frinika to launch. Don't kill it right away. In my
> > system it takes ~15 seconds to launch.  
> I'm generally not kill it, it is failed start (first master appear, and after
> few steps its end with provided backtrace).  

Before you start frinika, it is good to have a running jack daemon. You can use qjackctl for this purpose. Now when you start frinika, you will get a splash screen. There is a "Setup" button on that screen. When you go to the setup, you will want to select jjack (java jack) as your preferred backend. I advise for not selecting/using pulseaudio in audio production software such as frinika. pulseaudio is not designed for this purpose. But jack is.
Comment 18 Orcan Ogetbil 2009-07-05 13:49:09 EDT
> When you go to the setup, you
> will want to select jjack (java jack) as your preferred backend. I advise for
> not selecting/using pulseaudio in audio production software such as frinika.
> pulseaudio is not designed for this purpose. But jack is.  

I need to add to this: For audio production software there is another viable option: Instead of jack, one can also use plain alsa.
Comment 19 Pavel Alexeev 2009-07-05 16:17:32 EDT
Yes, it was settings related. I can start it now. So, as I very far from music production, I don't even try use it. But it started ans GUI seemed ready to use.

So, package APPROVED.

Oget, thank you for the patience.
Comment 20 Orcan Ogetbil 2009-07-05 16:37:50 EDT
Well, I thank you for your patience too. Audio production in Linux is getting better every day. IMHO frinika needs some more work for professional use, but the project seems promising and it is active and it is a nice example for what can be done with java sound api. I'm confident the glitches will be resolved in time.

And thanks for the review!

New Package CVS Request
=======================
Package Name: frinika
Short Description: Music Workstation
Owners: oget
Branches: F-10 F-11
InitialCC:
Comment 21 Kevin Fenzi 2009-07-06 00:07:30 EDT
cvs done.
Comment 22 Fedora Update System 2009-07-06 20:41:18 EDT
frinika-0.5.1-7.551svn.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/frinika-0.5.1-7.551svn.fc11
Comment 23 Fedora Update System 2009-07-06 20:41:54 EDT
frinika-0.5.1-7.551svn.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/frinika-0.5.1-7.551svn.fc10
Comment 24 Fedora Update System 2009-07-11 13:11:49 EDT
frinika-0.5.1-7.551svn.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update frinika'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7459
Comment 25 Fedora Update System 2009-07-11 13:30:06 EDT
frinika-0.5.1-7.551svn.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update frinika'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7520
Comment 26 Fedora Update System 2009-07-23 14:59:17 EDT
frinika-0.5.1-7.551svn.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2009-07-23 15:06:55 EDT
frinika-0.5.1-7.551svn.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.